be.vlaanderen.mercurius.efact.df019.v1

## Class CareServiceAmountsType

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.CareServiceAmountsType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class CareServiceAmountsType
      extends Object
      implements Serializable

  Bedragen betreffende de prestatie

  Java class for CareServiceAmountsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CareServiceAmountsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="AllowanceVSB" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="AmountWithoutAllowanceVSB" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
               <element name="PersonalShareAmount" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="SupplementAmount" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CareServiceAmountsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getAllowanceVSB()` Gets the value of the allowanceVSB property.
    `BigDecimal` | `getAmountWithoutAllowanceVSB()` Gets the value of the amountWithoutAllowanceVSB property.
    `BigDecimal` | `getPersonalShareAmount()` Gets the value of the personalShareAmount property.
    `BigDecimal` | `getSupplementAmount()` Gets the value of the supplementAmount property.
    `void` | `setAllowanceVSB(BigDecimal value)` Sets the value of the allowanceVSB property.
    `void` | `setAmountWithoutAllowanceVSB(BigDecimal value)` Sets the value of the amountWithoutAllowanceVSB property.
    `void` | `setPersonalShareAmount(BigDecimal value)` Sets the value of the personalShareAmount property.
    `void` | `setSupplementAmount(BigDecimal value)` Sets the value of the supplementAmount property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CareServiceAmountsType

          public CareServiceAmountsType()

  - ### Method Detail

    - #### getAllowanceVSB

          public BigDecimal getAllowanceVSB()

      Gets the value of the allowanceVSB property.
      Returns:
        possible object is `BigDecimal`

    - #### setAllowanceVSB

          public void setAllowanceVSB(BigDecimal value)

      Sets the value of the allowanceVSB property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getAmountWithoutAllowanceVSB

          public BigDecimal getAmountWithoutAllowanceVSB()

      Gets the value of the amountWithoutAllowanceVSB property.
      Returns:
        possible object is `BigDecimal`

    - #### setAmountWithoutAllowanceVSB

          public void setAmountWithoutAllowanceVSB(BigDecimal value)

      Sets the value of the amountWithoutAllowanceVSB property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getPersonalShareAmount

          public BigDecimal getPersonalShareAmount()

      Gets the value of the personalShareAmount property.
      Returns:
        possible object is `BigDecimal`

    - #### setPersonalShareAmount

          public void setPersonalShareAmount(BigDecimal value)

      Sets the value of the personalShareAmount property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getSupplementAmount

          public BigDecimal getSupplementAmount()

      Gets the value of the supplementAmount property.
      Returns:
        possible object is `BigDecimal`

    - #### setSupplementAmount

          public void setSupplementAmount(BigDecimal value)

      Sets the value of the supplementAmount property.
      Parameters:
        `value` - allowed object is `BigDecimal`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.